# Generated from fogbugz-1.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fogbugz

Name: rubygem-%{gem_name}
Version: 1.0.8
Release: 1%{?dist}
Summary: A command line interface to FogBugz
License: BSD
URL: https://github.com/erikcharlebois/fogbugz
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem provides command line programs for manipulating FogBugz.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/fogbugz
%{_bindir}/fogbugz-areas
%{_bindir}/fogbugz-assign
%{_bindir}/fogbugz-categories
%{_bindir}/fogbugz-close
%{_bindir}/fogbugz-edit
%{_bindir}/fogbugz-estimate
%{_bindir}/fogbugz-filter
%{_bindir}/fogbugz-filters
%{_bindir}/fogbugz-list
%{_bindir}/fogbugz-login
%{_bindir}/fogbugz-logoff
%{_bindir}/fogbugz-milestones
%{_bindir}/fogbugz-open
%{_bindir}/fogbugz-people
%{_bindir}/fogbugz-priorities
%{_bindir}/fogbugz-projects
%{_bindir}/fogbugz-reactivate
%{_bindir}/fogbugz-reopen
%{_bindir}/fogbugz-resolve
%{_bindir}/fogbugz-show
%{_bindir}/fogbugz-start
%{_bindir}/fogbugz-statuses
%{_bindir}/fogbugz-stop
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.8-1
- Initial package
